Skip to main content
`Ctrl`+`K`

# SIP

class astropy.modeling.polynomial.SIP(crpix, a_order, b_order, a_coeff={}, b_coeff={}, ap_order=None, bp_order=None, ap_coeff={}, bp_coeff={}, n_models=None, model_set_axis=None, name=None, meta=None)

  Bases: `Model`

  Simple Imaging Polynomial (SIP) model.

  The SIP convention is used to represent distortions in FITS image headers. See [1] for a description of the SIP convention.

  Parameters:
    crpix `python:list` or (2,) `ndarray`

      CRPIX values

    a_order `python:int`

      SIP polynomial order for first axis

    b_order `python:int`

      SIP order for second axis

    a_coeff `python:dict`

      SIP coefficients for first axis

    b_coeff `python:dict`

      SIP coefficients for the second axis

    ap_order `python:int`

      order for the inverse transformation (AP coefficients)

    bp_order `python:int`

      order for the inverse transformation (BP coefficients)

    ap_coeff `python:dict`

      coefficients for the inverse transform

    bp_coeff `python:dict`

      coefficients for the inverse transform

  References

  [1]

  David Shupe, et al, ADASS, ASP Conference Series, Vol. 347, 2005

  Attributes Summary

  `n_inputs` |
  `n_outputs` |

  Methods Summary

  `__call__`(*inputs[, model_set_axis, ...]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `evaluate`(x, y) | Evaluate the model on some input variables.

  Attributes Documentation

  n_inputs = 2
  n_outputs = 2

  Methods Documentation

  __call__(*inputs, model_set_axis=None, with_bounding_box=False, fill_value=nan, equivalencies=None, inputs_map=None, **new_inputs)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  evaluate(x, y)

    Evaluate the model on some input variables.